Bug 37746 - ntp: Information leak (4.0)
ntp: Information leak (4.0)
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Security updates
UCS 4.0
Other Linux
: P3 normal (vote)
: UCS 4.0-1-errata
Assigned To: Janek Walkenhorst
Philipp Hahn
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-02-10 07:53 CET by Moritz Muehlenhoff
Modified: 2015-03-25 16:38 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Moritz Muehlenhoff univentionstaff 2015-02-10 07:53:19 CET
Information leak/denial of service in autokey crypto handling (CVE-2014-9297)

The extracted Wheezy fix for this one was incomplete (erratum 79), some additional sanitisins were missing.
Comment 1 Janek Walkenhorst univentionstaff 2015-03-16 18:10:01 CET
Tests (i386): OK
Comment 2 Janek Walkenhorst univentionstaff 2015-03-17 19:01:10 CET
Advisory: 2015-03-17-ntp.yaml
Comment 3 Philipp Hahn univentionstaff 2015-03-18 18:30:40 CET
OK: aptitude install '?source-package(ntp)?installed' # amd64 i386
OK: apt-cache policy ntp # 1:4.2.6.p5+dfsg-2.37.201503161732
FIXED: errata-announce -V 2015-03-17-ntp.yaml
OK: 2015-03-17-ntp.yaml -> r59191
OK: debian/patches/CVE-2014-9297.patch
Comment 4 Janek Walkenhorst univentionstaff 2015-03-25 16:38:17 CET
<http://errata.univention.de/ucs/4.0/129.html>